{% assign sort_by = collection.sort_by | default: collection.default_sort_by %}
<div class="collection-pagination-bar sorting-tools">
  
  <div class="has-sort-by">
    <span class="field-label">Sort by:</span>
    <select class="sort-by dont-selectize">
      <option value="manual"{% if sort_by == 'manual' or sort_by == blank %} selected="selected"{% endif %}>{{ 'collections.sorting.manual' | t }}</option>
      <option value="title"{% if sort_by contains 'title' %}selected="selected"{% endif %}>{{ 'collections.sorting.title' | t }}</option>
      <option value="price"{% if sort_by contains 'price' %} selected="selected"{% endif %}>{{ 'collections.sorting.price' | t }}</option>
    </select>
  </div>
  
  <button type="button" class="sort-order {% if sort_by contains 'descending' %}desc{% else %}asc{% endif %}"></button>
  
  <div class="list-style">
    <span class="field-label pull-left">View as:</span>
    <button type="button" class="grid active"></button>
    <button type="button" class="list"></button>
  </div>
  
  {% assign showing_limit = paginate.current_offset | plus: items_per_page %}
  {% if showing_limit > paginate.items %}
    {% assign showing_limit = paginate.items %}
  {% endif %}
  {% capture default_pagination %}{{ paginate | default_pagination }}{% endcapture %}
  {% assign default_pagination = default_pagination | replace: '<span', '<li' | replace: '</span', '</li' %}
  {% if default_pagination != blank %}
  <ul class="pagination mt0 mb0 pull-right">
    {{ default_pagination }}
  </ul>
  {% endif %}
  {% if paginate.items > 0 %}
  <div class="pagination-showing text-center pull-right">{{ paginate.current_offset | plus: 1 }}-{{ showing_limit }} of {{ paginate.items }}</div>
  {% endif %}
</div><!-- .collection-pagination-bar -->